unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, mmSystem, StdCtrls, ComCtrls, ShellApi, SvgEditIni;

type
  TForm1 = class(TForm)
    HotKey1: THotKey;
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Edit2: TEdit;
    Label3: TLabel;
    ComboBox1: TComboBox;
    Label4: TLabel;
    Label5: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure HotKey1Change(Sender: TObject);
    procedure Label5Click(Sender: TObject);


  private
    { Dclarations prives }
    procedure Hotkey( Var msg: TWMHotkey ); message WM_HOTKEY;
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;
  i : integer;
  bascule : boolean;

const HK_ID: integer = 1000;

implementation

{$R *.dfm}


procedure TForm1.FormCreate(Sender: TObject);
  var
        cHK: char;
        touche : cardinal;
begin
        i:=1;
        HotKey1.HotKey := VK_RETURN	;
        if RegisterHotKey(Handle, HK_ID, 0, HotKey1.HotKey) = true then
             sndPlaySound('c:\Windows\Media\ding.wav', SND_ASYNC);
        // Par dfaut la touche pour recharger est la touche ENTREE
        if RegisterHotKey(Handle, 3000, MOD_ALT, ord('K')) = False then
             sndPlaySound('c:\Windows\Media\chord.wav', SND_ASYNC);
        // Pour activer ou dsactiver le programme, il faut taper ALT+K

        bascule :=true;
        //booleen permettant d'indiquer si le programme affiche ou n'affiche pas le message

end;

procedure Ecris(s:string);  //procedure permettant d'crire dans la console de ET
var
  wnd: HWND;
  i: Integer;
begin
  wnd := FindWindow('ET WinConsole','ET Console');
  //trouve la fenetre de la console de ET
  if wnd <> 0 then
  begin
    wnd := FindWindowEx(wnd, 0, 'Edit', nil);
    //trouve la sous-fenetre Edit o on va crire
    for i := 1 to Length(s) do
      SendMessage(wnd, WM_CHAR, Word(s[i]), 0);
    //ecrit le message
    PostMessage(wnd, WM_KEYDOWN, VK_RETURN, 0);
    // appuie sur la touche ENTREE
    PostMessage(wnd, WM_KEYDOWN, VK_SPACE, 0);
    //appuie sur la touche ESPACE
  end;
end;



procedure TForm1.Hotkey( Var msg: TWMHotkey );

begin
    if Msg.HotKey = 3000 then   //si ALT+K est tap alors
    begin
        if bascule then
        // si le programme affiche le nombre de rechargement alors
        begin
             sndPlaySound('c:\Windows\Media\chord.wav', SND_ASYNC);
             UnRegisterHotkey(Handle, HK_ID);
             bascule := not bascule;
             //il ne les affichera plus
        end
        else //sinon
        begin
             if RegisterHotKey(Handle, HK_ID, 0, HotKey1.HotKey) = true then
                sndPlaySound('c:\Windows\Media\ding.wav', SND_ASYNC);
             bascule := not bascule;
             //il va les afficher
        end
    end;

    if Msg.HotKey = 1000 then
    begin
    Ecris ('+reload;wait 2;-reload;'+ComboBox1.Text+' "'+Edit1.Text+IntToStr(i)+Edit2.Text+'"');
    Inc(i);
    //Affiche le message avec le nombre de reload
    end;

end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
    UnRegisterHotkey(Handle, HK_ID);
    UnRegisterHotkey(Handle, 3000);
    //en quittant, on "dregistre" ALT+K et la touche de reload
end;


procedure TForm1.HotKey1Change(Sender: TObject);
  var
        cHK: char;
        touche : cardinal;
begin
    touche := HotKey1.HotKey ;
    UnRegisterHotkey(Handle, HK_ID);

    if RegisterHotKey(Handle, HK_ID, 0, touche) = False then
      MessageDlg('Pas possible d''enregistrer ette touche car elle est dj utilise par une autre application',
                  mtError, [mbOk], 0);

end;

procedure TForm1.Label5Click(Sender: TObject);
begin
  ShellExecute(0,                // Handle d'une fentre
    'open',                      // Opration  effectuer
    'http://www.clan-lna.net/',    // Application  lancer ou document  ouvrir
    '',                          // Arguments de la ligne de commande
    '',                          // Rpertoire par dfaut
    SW_SHOWNORMAL);
end;

end.

